org.jboss.jca.as.converters.wls.metadata

## Class ConfigPropertyImpl

- java.lang.Object
- - org.jboss.jca.as.converters.wls.metadata.ConfigPropertyImpl

- All Implemented Interfaces:
    java.io.Serializable, ConfigProperty, WlsMetadata

      public class ConfigPropertyImpl
      extends java.lang.Object
      implements ConfigProperty

  A generic ConfigProperty.
  Author:
    Jeff Zhang
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.jboss.jca.as.converters.wls.api.metadata.ConfigProperty

      `ConfigProperty.Attribute, ConfigProperty.Tag`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConfigPropertyImpl(java.lang.String name, java.lang.String value)` constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getName()` getName
    `java.lang.String` | `getValue()` getValue

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ConfigPropertyImpl

          public ConfigPropertyImpl(java.lang.String name,
                                    java.lang.String value)

      constructor
      Parameters:
        `name` - name
        `value` - value

  - ### Method Detail

    - #### getName

          public java.lang.String getName()

      Description copied from interface: `ConfigProperty`
      getName
      Specified by:
        `getName` in interface `ConfigProperty`
      Returns:
        the name

    - #### getValue

          public java.lang.String getValue()

      Description copied from interface: `ConfigProperty`
      getValue
      Specified by:
        `getValue` in interface `ConfigProperty`
      Returns:
        the value

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)